Twitter Tweet Detail API - Get a Tweet by ID
FetchLayer fetchlayer.dev Sign in

Fetch a tweet by ID

Retrieve detailed metadata for a specific tweet by ID including full text, media, engagement stats, and thread context.

POST /tweet-detail Content
https://api.fetchlayer.dev/twitter/tweet-detail
OpenAPI JSON

Headers

Authorization string required

Bearer token — your FetchLayer API key.

Parameters

tweetId string required

Tweet ID.

screenName string optional

Optional screen name context for URL construction.

Response Fields

tweet-detail

Fetch a tweet by ID

id string

Unique tweet identifier.

text string

Full tweet text.

author.handle string

Author handle.

author.displayName string

Author display name.

author.isVerified boolean

Verified status.

author.followersCount number

Author follower count.

createdAt string

ISO 8601 timestamp.

likeCount number

Like count.

retweetCount number

Retweet/repost count.

replyCount number

Reply count.

quoteCount number

Quote tweet count.

viewCount number

Impression count.

url string

Canonical tweet URL.

lang string

BCP 47 language code.

media[] array

Attached media (photos, videos, cards).

Request

curl -X POST "https://api.fetchlayer.dev/twitter/tweet-detail" \
  -H "Authorization: Bearer ss-your-key" \
  -H "Content-Type: application/json" \
  -d '{"tweetId":"1942939879222220800"}'

Response

{
  "id": "1942939879222220800",
  "text": "Just tried the new GPT-4o vision features on the OpenAI playground — it correctly described a screenshot of our dashboard in one prompt. Incredible.",
  "author": {
    "handle": "devuser",
    "displayName": "Dev User",
    "isVerified": false,
    "followersCount": 3200
  },
  "createdAt": "2026-07-01T18:42:00.000Z",
  "likeCount": 142,
  "retweetCount": 31,
  "replyCount": 23,
  "quoteCount": 4,
  "viewCount": 8200,
  "url": "https://x.com/devuser/status/1942939879222220800",
  "lang": "en",
  "media": []
}